| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Attributes | List of all members
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > > Struct Template Reference

the template specialization for named ranges More...

`#include <GaudiAlg/GetData.h>`

Collaboration diagram for Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >:
[legend]

## Public Types
typedef Gaudi::NamedRange_< std::vector< const TYPE * > > | Type
| the actual return type More...
typedef _GetType< Type >::return_type | return_type

## Public Member Functions
template<class COMMON >
return_type | operator() (const COMMON &common, IDataProviderSvc *service, const std::string &location, const bool checkData=true) const
| the only one essential method More...
return_type | make_range (const typename TYPE::Container *cnt) const
return_type | make_range (const typename TYPE::Selection *cnt) const
DataObject * | getData (IDataProviderSvc *service, const std::string &location) const
| get the data form transient store More...

## Private Attributes
GetData< Gaudi::Range_< std::vector< const TYPE * > > > | m_range
| ===================================================================== the actual processor More...

## Detailed Description

### template<class TYPE>
struct Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >

the template specialization for named ranges

Definition at line 238 of file GetData.h.

## Member Typedef Documentation

## ◆ return_type

template<class TYPE >

typedef _GetType<Type>::return_type Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::return_type

Definition at line 243 of file GetData.h.

## ◆ Type

template<class TYPE >

typedef Gaudi::NamedRange_<std::vector<const TYPE*> > Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::Type

the actual return type

Definition at line 242 of file GetData.h.

## Member Function Documentation

## ◆ getData()

template<class TYPE >

DataObject* Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::getData | ( | IDataProviderSvc * | service,
|  | const std::string & | location
| ) |  | const
| inline

get the data form transient store

Parameters

  service | pointer to data provider service
  location | the location

Returns
  the object for TES

Definition at line 282 of file GetData.h.

282 {
283 return m_range.getData( service, location );
284 }
GaudiPython.HistoUtils.location
location
Definition: HistoUtils.py:936
Gaudi::Utils::GetData< Gaudi::Range_< std::vector< const TYPE * > > >::getData
DataObject * getData(IDataProviderSvc *service, const std::string &location) const
get the data form transient store
Definition: GetData.h:219
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::m_range
GetData< Gaudi::Range_< std::vector< const TYPE * > > > m_range
===================================================================== the actual processor
Definition: GetData.h:289

## ◆ make_range() [1/2]

template<class TYPE >

return_type Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::make_range | ( | const typename TYPE::Container * | cnt | ) | const
| inline

Definition at line 263 of file GetData.h.

263 {
264 if ( !cnt ) { return return_type(); }
265 static const std::string s_empty = "";
266 const IRegistry* reg = cnt->registry();
267 return return_type( m_range.make_range( cnt ), reg ? reg->identifier() : s_empty );
268 }
std::string
STL class.
IRegistry
The IRegistry represents the entry door to the environment any data object residing in a transient da...
Definition: IRegistry.h:22
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::return_type
_GetType< Type >::return_type return_type
Definition: GetData.h:243
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::m_range
GetData< Gaudi::Range_< std::vector< const TYPE * > > > m_range
===================================================================== the actual processor
Definition: GetData.h:289
Gaudi::Utils::GetData< Gaudi::Range_< std::vector< const TYPE * > > >::make_range
return_type make_range(const typename TYPE::Container *cnt) const
Definition: GetData.h:206
IRegistry::identifier
virtual const id_type & identifier() const =0
Full identifier (or key)

## ◆ make_range() [2/2]

template<class TYPE >

return_type Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::make_range | ( | const typename TYPE::Selection * | cnt | ) | const
| inline

Definition at line 270 of file GetData.h.

270 {
271 if ( !cnt ) { return return_type(); }
272 static const std::string s_empty = "";
273 const IRegistry* reg = cnt->registry();
274 return return_type( m_range.make_range( cnt ), reg ? reg->identifier() : s_empty );
275 }
std::string
STL class.
IRegistry
The IRegistry represents the entry door to the environment any data object residing in a transient da...
Definition: IRegistry.h:22
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::return_type
_GetType< Type >::return_type return_type
Definition: GetData.h:243
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::m_range
GetData< Gaudi::Range_< std::vector< const TYPE * > > > m_range
===================================================================== the actual processor
Definition: GetData.h:289
Gaudi::Utils::GetData< Gaudi::Range_< std::vector< const TYPE * > > >::make_range
return_type make_range(const typename TYPE::Container *cnt) const
Definition: GetData.h:206
IRegistry::identifier
virtual const id_type & identifier() const =0
Full identifier (or key)

## ◆ operator()()

template<class TYPE >
template<class COMMON >

return_type Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::operator() | ( | const COMMON & | common,
|  | IDataProviderSvc * | service,
|  | const std::string & | location,
|  | const bool | checkData = `true`
| ) |  | const
| inline

the only one essential method

Parameters

  common | the actual "worker"
  service | pointer to Data Provider Service
  location | location of objects in TES
  checkData | whether to check if the pointer is valid before returning it

Returns
  the data

Definition at line 255 of file GetData.h.

256 {
257 return return_type( m_range( common, service, location, checkData ), location );
258 }
GaudiPython.HistoUtils.location
location
Definition: HistoUtils.py:936
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::return_type
_GetType< Type >::return_type return_type
Definition: GetData.h:243
Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::m_range
GetData< Gaudi::Range_< std::vector< const TYPE * > > > m_range
===================================================================== the actual processor
Definition: GetData.h:289

## Member Data Documentation

## ◆ m_range

template<class TYPE >

GetData<Gaudi::Range_<std::vector<const TYPE*> > > Gaudi::Utils::GetData< Gaudi::NamedRange_< std::vector< const TYPE * > > >::m_range
| private

===================================================================== the actual processor

Definition at line 289 of file GetData.h.

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/GetData.h